package com.ruoyi.invest.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.invest.domain.FlowBaseInfo;
import com.ruoyi.invest.domain.TProjectInvestigate;
import com.ruoyi.invest.domain.TProjectInvestigateVo;
import com.ruoyi.invest.domain.TProjectReview;

import javax.servlet.http.HttpServletRequest;

/**
 * 尽调关联Service接口
 * 
 * @author zjc
 * @date 2024-03-13
 */
public interface ITProjectInvestigateService 
{
    /**
     * 查询尽调关联
     * 
     * @param id 尽调关联主键
     * @return 尽调关联
     */
    public TProjectInvestigate selectTProjectInvestigateById(String id);

    /**
     * 查询尽调关联列表
     * 
     * @param tProjectInvestigate 尽调关联
     * @return 尽调关联集合
     */
    public List<TProjectInvestigate> selectTProjectInvestigateList(TProjectInvestigate tProjectInvestigate);

    /**
     * 新增尽调关联
     * 
     * @param tProjectInvestigate 尽调关联
     * @return 结果
     */
    public int insertTProjectInvestigate(TProjectInvestigate tProjectInvestigate);

    /**
     * 修改尽调关联
     * 
     * @param tProjectInvestigate 尽调关联
     * @return 结果
     */
    public int updateTProjectInvestigate(TProjectInvestigate tProjectInvestigate);

    /**
     * 批量删除尽调关联
     * 
     * @param ids 需要删除的尽调关联主键集合
     * @return 结果
     */
    public int deleteTProjectInvestigateByIds(String[] ids);

    /**
     * 删除尽调关联信息
     * 
     * @param id 尽调关联主键
     * @return 结果
     */
    public int deleteTProjectInvestigateById(String id);

    /**
     * 批量删除尽调关联
     * @param ids
     * @return
     */
    int updateTProjectInvestigateByIds(String[] ids);

    /**
     * 根据项目ID获取尽调
     * @param projectPoolId
     * @return
     */
    List<TProjectInvestigate> listProjectPoolId(String projectPoolId);

    /**
     * 根据项目ID获取最新尽调
     * @param projectPoolId
     * @return
     */
    TProjectInvestigate listProjectPoolIdNew(String projectPoolId);

    /**
     * 修改尽调完成
     * @param id
     * @return
     */
    int editStatus(String id);

    List<TProjectInvestigateVo> getMyTaskList(String userId, TProjectInvestigateVo tProjectInvestigate);

    List<TProjectInvestigateVo> getMyDoneTaskList(String userId, TProjectInvestigateVo tProjectInvestigate);

    List<TProjectInvestigateVo> getMyList(String userId, TProjectInvestigateVo tProjectInvestigate);

    AjaxResult start(TProjectInvestigate tProjectInvestigate);

    AjaxResult complete(TProjectInvestigate tProjectInvestigate, TProjectReview tProjectReview, FlowBaseInfo flowBaseInfo, HttpServletRequest request);
}
